<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIHomeState\AIHomeOption;

use UnexpectedValueException;




class AIHomeActionType
{
    


    const PROMPT = 0;
    


    const CREATE_IMAGE = 1;
    


    const ANIMATE_PHOTO = 2;
    


    const ANALYZE_FILE = 3;

    private static $valueToName = [
        self::PROMPT => 'PROMPT',
        self::CREATE_IMAGE => 'CREATE_IMAGE',
        self::ANIMATE_PHOTO => 'ANIMATE_PHOTO',
        self::ANALYZE_FILE => 'ANALYZE_FILE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

